<?php
$baseURL = '/bmpanel/'; // Adjust this to match the directory your application is in
?>
<html lang="fa" class="light-style layout-menu-fixed" dir="rtl" data-theme="theme-default" data-assets-path="<?= $baseURL ?>assets/" data-template="horizontal-menu-template">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0">

    <title><?= $project_title; ?></title>

    <meta name="description" content="">
    <!-- Favicon -->
    <link rel="icon" type="image/x-icon" href="https://trsamin.ir/marketing/assets/img/avatars/saminlogo_small.png">

    <!-- Icons -->
    <link rel="stylesheet" href="<?= $baseURL ?>assets/vendor/fonts/boxicons.css">
    <link rel="stylesheet" href="<?= $baseURL ?>assets/vendor/fonts/fontawesome.css">
    <link rel="stylesheet" href="<?= $baseURL ?>assets/vendor/fonts/flag-icons.css">

    <!-- Core CSS -->
    <link rel="stylesheet" href="<?= $baseURL ?>assets/vendor/css/rtl/core.css" class="template-customizer-core-css">
    <link rel="stylesheet" href="<?= $baseURL ?>assets/vendor/css/rtl/theme-default.css" class="template-customizer-theme-css">
    <link rel="stylesheet" href="<?= $baseURL ?>assets/css/demo.css">
    <link rel="stylesheet" href="<?= $baseURL ?>assets/vendor/css/rtl/rtl.css">

    <!-- Vendors CSS -->
    <link rel="stylesheet" href="<?= $baseURL ?>assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.css">
    <link rel="stylesheet" href="<?= $baseURL ?>assets/vendor/libs/typeahead-js/typeahead.css">
    <link rel="stylesheet" href="<?= $baseURL ?>assets/vendor/libs/datatables-bs5/datatables.bootstrap5.css">
    <link rel="stylesheet" href="<?= $baseURL ?>assets/vendor/libs/datatables-responsive-bs5/responsive.bootstrap5.css">
    <link rel="stylesheet" href="<?= $baseURL ?>assets/vendor/libs/datatables-buttons-bs5/buttons.bootstrap5.css">

    <!-- Page CSS -->

    <!-- Helpers -->
    <script src="<?= $baseURL ?>assets/vendor/js/helpers.js"></script>

    <!--? Config:  Mandatory theme config file contain global vars & default theme options, Set your preferred theme option in this file.  -->
    <script src="<?= $baseURL ?>assets/js/config.js"></script>
</head>
<body style="background-color:#132d46">

<div class="authentication-inner py-4 col-12 col-md-8 col-lg-8 d-block mx-auto" id="login_section">
    <!-- Navigation Tabs -->
    <ul class="nav nav-tabs nav-justified mb-3 bg-light" role="tablist">
        <li class="nav-item">
            <a class="nav-link active" id="username_password_tab" href="#username_password_tab" role="tab" onclick="showTab('username_password', 'mobile_sms')">ورود با نام کاربری</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" id="mobile_sms_tab" href="#mobile_sms_tab" role="tab" onclick="showTab('mobile_sms', 'username_password')">ورود با شماره موبایل</a>
        </li>
    </ul>
    <script>
        function showTab(showId, hideId) {
            document.getElementById(showId).classList.add('show', 'active');
            document.getElementById(showId).classList.remove('fade');
            document.getElementById(hideId).classList.remove('show', 'active');
            document.getElementById(hideId).classList.add('fade');
    
            // Toggle active class on nav-link
            document.getElementById(showId + '_tab').classList.add('active');
            document.getElementById(hideId + '_tab').classList.remove('active');
        }
    </script>
    <!-- Tab Content -->
    <div class="tab-content">
        <!-- Username and Password Login -->
        <div class="tab-pane fade show active" id="username_password" role="tabpanel">
            <div class="card">
                <div class="card-body">
                    <!-- Logo -->
                    <div class="app-brand justify-content-center">
                        <span class="app-brand-text demo h3 mb-0 fw-bold">سامانه مدیریت فروش</span>
                    </div>
                    <div class="app-brand justify-content-center">
                        <span class="app-brand-text demo h3 mb-0 fw-bold">شرکت توسعه راهبردی سمین</span>
                    </div>
                    <div class="app-brand justify-content-center text-center mb-4">
                        <a href="" class="app-brand-link gap-2">
                            <img src="https://trsamin.ir/marketing/assets/img/avatars/saminlogo_small.png" alt="Company Logo" class="img-fluid" style="max-width: 200px;">
                        </a>
                    </div>
                    <!-- /Logo -->
                    <p class="mb-0 fw-semibold text-center">خوش آمدید</p>
                    <div class="mb-3 fv-plugins-icon-container">
                        <label for="username" class="form-label">نام کاربری</label>
                        <input type="text" class="form-control text-start" id="username" name="username" placeholder="نام کاربری خود را وارد کنید" autofocus="">
                        <div class="fv-plugins-message-container invalid-feedback"></div>
                    </div>
                    <div class="mb-3 fv-plugins-icon-container">
                        <label for="password" class="form-label">رمز عبور</label>
                        <input type="password" class="form-control text-start" id="password" name="password" placeholder="رمز عبور خود را وارد کنید">
                        <div class="fv-plugins-message-container invalid-feedback"></div>
                    </div>
                    <button class="btn d-grid w-100 mb-3 text-white" style="background-color:#00ce8e;" onclick="LoginWithUsernamePassword()">ورود</button>
                </div>
            </div>
        </div>

        <!-- Mobile and SMS Login -->
        <div class="tab-pane fade" id="mobile_sms" role="tabpanel">
            <div class="card">
                <div class="card-body">
                    <!-- Logo -->
                    <div class="app-brand justify-content-center">
                        <span class="app-brand-text demo h3 mb-0 fw-bold">سامانه مدیریت فروش</span>
                    </div>
                    <div class="app-brand justify-content-center">
                        <span class="app-brand-text demo h3 mb-0 fw-bold">شرکت توسعه راهبردی سمین</span>
                    </div>
                    <div class="app-brand justify-content-center text-center mb-4">
                        <a href="" class="app-brand-link gap-2">
                            <img src="https://trsamin.ir/marketing/assets/img/avatars/saminlogo_small.png" alt="Company Logo" class="img-fluid" style="max-width: 200px;">
                        </a>
                    </div>
                    <!-- /Logo -->
                    <p class="mb-0 fw-semibold text-center">خوش آمدید</p>
                    <div class="mb-3 fv-plugins-icon-container">
                        <label for="phone" class="form-label">شماره موبایل</label>
                        <input type="text" class="form-control text-start" id="phone" name="phone" placeholder="شماره موبایل خود را وارد کنید" autofocus="" dir="ltr">
                        <div class="fv-plugins-message-container invalid-feedback"></div>
                    </div>
                    <button class="btn d-grid w-100 mb-3 text-white" style="background-color:#00ce8e;" onclick="SendCode()">ارسال کد</button>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="authentication-inner py-4 col-12 col-md-8 col-lg-8 d-none mx-auto" id="check_code">
    <!-- Two Steps Verification -->
    <div class="card">
        <div class="card-body">
            <!-- Logo -->
            <div class="app-brand justify-content-center">
                <span class="app-brand-text demo h3 mb-0 fw-bold">سامانه مدیریت فروش</span>
            </div>
            <div class="app-brand justify-content-center">
                <span class="app-brand-text demo h3 mb-0 fw-bold">شرکت توسعه راهبردی سمین</span>
            </div>
            <div class="app-brand justify-content-center text-center mb-4">
                <a href="" class="app-brand-link gap-2">
                    <img src="https://trsamin.ir/marketing/assets/img/avatars/saminlogo_small.png" alt="Company Logo" class="img-fluid" style="max-width: 200px;">
                </a>
            </div>
            <!-- /Logo -->
            <h4 class="mb-3 secondary-font text-center">تایید دو مرحله‌ای</h4>
            <p class="text-start mb-4 text-center">
                یک کد تایید 6 رقمی به شماره موبایل شما ارسال شده است، کد تایید را در اینجا وارد کنید و با دکمه تایید حساب وارد فضای کاربری شوید
            </p>
            <p class="mb-0 fw-semibold">کد 6 رقمی امنیتی را وارد کنید</p>
            <div class="mb-3 fv-plugins-icon-container">
                <div class="auth-input-wrapper d-flex align-items-center justify-content-sm-between numeral-mask-wrapper">
                    <input type="text" class="form-control auth-input h-px-50 text-center numeral-mask text-center h-px-50 mx-1 my-2" maxlength="1" autofocus="">
                    <input type="text" class="form-control auth-input h-px-50 text-center numeral-mask text-center h-px-50 mx-1 my-2" maxlength="1">
                    <input type="text" class="form-control auth-input h-px-50 text-center numeral-mask text-center h-px-50 mx-1 my-2" maxlength="1">
                    <input type="text" class="form-control auth-input h-px-50 text-center numeral-mask text-center h-px-50 mx-1 my-2" maxlength="1">
                    <input type="text" class="form-control auth-input h-px-50 text-center numeral-mask text-center h-px-50 mx-1 my-2" maxlength="1">
                    <input type="text" class="form-control auth-input h-px-50 text-center numeral-mask text-center h-px-50 mx-1 my-2" maxlength="1">
                </div>

                <!-- Create a hidden field which is combined by 3 fields above -->
                <input type="hidden" name="otp">
                <div class="fv-plugins-message-container invalid-feedback"></div>
            </div>
            <button class="btn btn-success d-grid w-100 mb-3" onclick="CheckCode()">تایید حساب</button>
            <div class="text-center">
                کد را دریافت نکردید؟
                <button class="btn text-white" style="background-color:#132d46;" onclick="SendCode()"> ارسال دوباره </button>
            </div>
        </div>
    </div>
</div>

<script>
    function LoginWithUsernamePassword() {
        // Get username and password input values
        const username = document.getElementById('username').value.trim();
        const password = document.getElementById('password').value.trim();
        // Prepare data to send via AJAX
        const formData = new FormData();
        formData.append('username', username);
        formData.append('password', password);
        formData.append('request', 'login_with_username_password');

        // Send AJAX request
        fetch('ajaxcenter.php', {
            method: 'POST',
            body: formData
        })
        .then(response => {
            if (!response.ok) {
                throw new Error('Network response was not ok');
            }
            return response.json();
        })
        .then(data => {
            // Handle the response data if needed
            console.log(data);
            if (data.success === true) {
                switch (data.access) {
                    case 'admin':
                        window.location.href = 'admin/';
                        break;
                    case 'marketing':
                        window.location.href = 'smarketing/';
                        break;
                    case 'head_marketing':
                        window.location.href = 'shmarketing/';
                        break;
                    case 'psp_agent':
                        window.location.href = 'pspagent/';
                        break;
                    case 'psp_admin':
                        window.location.href = 'pspadmin/';
                        break;
                    default:
                        window.location.href = '';
                }
            } else {
                // Alert the error message
                alert(data.message);
            }
        })
        .catch(error => {
            console.error('Error:', error);
            alert('متاسفانه خطایی رخ داده است. لطفاً مجدداً تلاش کنید.');
        });
    }

    function SendCode() {
        // Get the phone number input value
        const phoneNumber = document.getElementById('phone').value.trim();

        // Validate phone number format (11 digits starting with 09)
        const phoneRegex = /^09\d{9}$/;
        if (!phoneRegex.test(phoneNumber)) {
            alert('شماره موبایل وارد شده معتبر نیست. لطفاً یک شماره موبایل معتبر با 11 رقم و شروع با 09 وارد کنید.');
            return;
        }

        // Prepare the data to send
        const formData = new FormData();
        formData.append('phone', phoneNumber);
        formData.append('request', 'send_code');

        // Send AJAX request
        fetch('ajaxcenter.php', {
            method: 'POST',
            body: formData
        })
        .then(response => {
            if (!response.ok) {
                throw new Error('Network response was not ok');
            }
            // Handle the response if needed
            return response.json();
        })
        .then(data => {
            // Handle the response data if needed
            console.log(data);
            // Check if the response indicates success
            if (data.success === true) {
                // Optionally, display a success message or perform other actions
                const loginSection = document.getElementById("login_section");
                const checkCodeSection = document.getElementById("check_code");
                // Remove the class "d-block" and add "d-none"
                loginSection.classList.remove("d-block");
                loginSection.classList.add("d-none");
                checkCodeSection.classList.remove("d-none");
                checkCodeSection.classList.add("d-block");
            } else {
                // Alert the error message if success is not true
                alert(data.message);
            }
        })
        .catch(error => {
            console.error('Error:', error);
            // Log the error message if available
            alert('متاسفانه خطایی رخ داده است. لطفاً مجدداً تلاش کنید.');
        });
    }

    function CheckCode() {
        // Extract 6-digit code from input fields
        var code = "";
        var inputs = document.querySelectorAll('.auth-input');
        const phoneNumber = document.getElementById('phone').value.trim();
        inputs.forEach(function(input) {
            code += input.value.trim();
        });

        // Check if the code is empty or not 6 digits
        if (code.length !== 6) {
            alert('لطفاً 6 رقم کد را به درستی وارد کنید.');
            return;
        }

        // Prepare data to send via AJAX
        var formData = new FormData();
        formData.append('request', 'check_code');
        formData.append('phone', phoneNumber);
        formData.append('code', code);

        // Send AJAX request
        fetch('ajaxcenter.php', {
            method: 'POST',
            body: formData
        })
        .then(response => {
            if (!response.ok) {
                throw new Error('Network response was not ok');
            }
            // Handle the response if needed
            return response.json();
        })
        .then(data => {
            // Handle the response data if needed
            console.log(data);
            if (data.success === true) {
                // Check access and redirect accordingly
                switch (data.access) {
                    case 'admin':
                        window.location.href = 'admin/';
                        break;
                    case 'marketing':
                        window.location.href = 'smarketing/';
                        break;
                    case 'head_marketing':
                        window.location.href = 'shmarketing/';
                        break;
                    case 'psp_agent':
                        window.location.href = 'pspagent/';
                        break;
                    case 'psp_admin':
                        window.location.href = 'pspadmin/';
                        break;
                    default:
                        window.location.href = '';
                }
            } else {
                alert('کد صحیح نیست، کد صحیح را وارد کنید');
            }
        })
        .catch(error => {
            console.error('Error:', error);
            alert('متاسفانه خطایی رخ داده است. لطفاً مجدداً تلاش کنید.');
        });
    }

    document.addEventListener('DOMContentLoaded', function() {
        const inputs = document.querySelectorAll('.numeral-mask');

        inputs.forEach((input, index) => {
            input.addEventListener('input', function() {
                if (this.value.length === 1 && index < inputs.length - 1) {
                    inputs[index + 1].focus();
                }
            });
        });
    });
</script>
</body>
</html>
